WordPress.org

Ready to get started?Download WordPress

Forums

Can't edit posts or pages! Yikes! (3 posts)

  1. teeveesbella
    Member
    Posted 7 years ago #

    Hi. :)

    I finally got around to upgrading from a much older version of WordPress to the latest. I followed all the detailed directions and, save for a few kinks, all seems to be fine. There are two issues, however, that I can't figure out.

    1) On my site's footer, there is the following:

    Warning: Invalid argument supplied for foreach() in /home/content/t/e/e/teeveesbella/html/wp-content/plugins/sem-theme/sem-theme.php on line 558

    My theme began as an ancient Semiologic one from ages ago, which I customized almost completely back when I first created the site. Everything else in the layout seems to have made the transition to the upgrade quite well, so why is this weird error appearing all of a sudden?

    2. Even more distressing is the fact that I can no longer edit posts or pages. When I try, it turns over to the edit screen but, before I can even do anything, it acts as if I've already hit "submit" and goes back to my website, as though I'd edited it successfully -- when, in fact, I never even had a chance to. Any ideas?

    Thanks very much! Oh, my site is at http://www.eyeflashes.com, just in case that helps.

    -Heather

  2. DianeV
    Member
    Posted 7 years ago #

    I don't know what you mean by "much older version", but if it was before 1.5, did you follow this:

    http://codex.wordpress.org/Upgrading_WordPress#Old_Upgrade_Information

    "If you are considering upgrading to WordPress Version 2.0, but you are at Version 1.2, then follow the 1.2 to 1.5 upgrade as describe in Upgrading From WordPress Version 1.2 to 1.5. Once you are upgraded to Version 1.5.x, then follow the instructions as listed above to upgrade from 1.5 to 2.0."

    The one thing to ensure, before you upgrade or mess with anything, is that you should back up both your WordPress files and your database. Always always always.

  3. teeveesbella
    Member
    Posted 7 years ago #

    I absolutely backed up ALL my files, as well as my database. :)

    Unfortunately, I didn't see the info you posted about upgrading from 1.2 (though I'm pretty sure I was already at 1.5). If that's so, which I believe it is, then what could be the issue?

Topic Closed

This topic has been closed to new replies.

About this Topic